#include<stdio.h>
#include<string.h>
int main()
{
char a[256],b,h,c[257]={' '};
int i,br=0,br1=0,j;
gets(a);
strcat(c,a);
for(i=1;i<=strlen(c)/2;i++){
b=c[i];
c[i]=c[strlen(c)-i];
c[strlen(c)-i]=b;}
for(i=0;i<=strlen(c);i++){
if(c[i]==' '||i==strlen(c)){
br=br1;
br1=i;
for(j=0;j<=(br1-br)/2-1;j++){
h=c[j+br];
c[j+br]=c[br1-j-1];
c[br1-j-1]=h;}}}
for(i=0;i<strlen(a);i++)printf("%c",c[i]);
return 0;
}